To pair with our Band your Android phone must have Android 4.3 and newer. The phone must also possess Bluetooth low energy technology otherwise known as Bluetooth 4.0 (the following app will allow you to confirm your phone/tablet possesses BLE - https://play.google.com/store/apps/details?id=com.magicalboy.btd&hl=en), and have a screen 4 inches or larger measured diagonally. 


Please see our complete list of supported devices here.


Don’t see your phone listed? No worries - as long as your phone possesses the above specifications you should be able to pair the Band with the app. For assistance with pairing the Band to both supported and unsupported Android phones, email us at customercare+band@striiv.com.